# Cars

## Content

* [Description](#description)

* [Requirements](#requirements)

* [Run project](#run-project)

* [Controls](#controls)

* [Contribute](#contribute)

* [Author](#author)

* [License](#license)

<a name="description"/>

## Description

This project is a simple car game in ruby using gosu (2d game library) packed in a gem

* [Ruby](https://www.ruby-lang.org/en/)

* [Gosu](https://www.libgosu.org/index.html)

<a name="requirements"/>

## Requirements

In order to execute this project you need to install:

* [Ruby 2.2.3](https://www.ruby-lang.org/es/news/2015/08/18/ruby-2-2-3-released/)

  You can check this with `ruby -v`

* [Gosu](https://www.libgosu.org/ruby.html)

  Gosu installation prerequisites depend on OS

<a name="run-project"/>

## Run project

1. Clone the repo

       $ git clone https://github.com/yovasx2/gosu-cars

2. Move into it and install dependencies

       $ cd gosu-cars && ruby -Ilib ./bin/cars

<a name="controls"/>

## Controls

1. `Esc` to exit
2. `r` to restart
3. `⇦` to move blue car to left
4. `⇨` to move blue car to right

<a name="contribute"/>

## Contribute

You can contribute to this project in many forms:

* [Reporting bugs](https://github.com/yovasx2/gosu-cars/issues)

* [Writing issues](https://github.com/yovasx2/gosu-cars/issues)

* Adding [features](https://github.com/yovasx2/gosu-cars/pulls) (examples)

<a name="author"/>

## Author

1. Giovanni Alberto García

    * <a href="mailto:delirable@gmail.com">delirable@gmail.com</a>

    * [github.com/yovasx2](http://github.com/yovasx2)

<a name="license"/>

## License

[MIT License](http://choosealicense.com/licenses/mit/)
